cancel
Showing results for 
Search instead for 
Did you mean: 

PSoC 5, 3 & 1 MCU

New Contributor

I have downloaded ModBusToolBox 2.0, but it shows only for PSoC 5.

Which IDE is useful for PSoC 5?

0 Likes
Reply
1 Solution
Moderator
Moderator

Hi @PrKa_4664221,

PSoC 5 is not supported for Modus Toolbox. PSoC Creator is the recommended tool to work with PSoC 5 products. Additionally it is not recommended to use PSoC5 for newer products. You can also see PSoC4 and PSoC6 products to confirm whether those meet your requirements.

Best Regards,
Vasanth

View solution in original post

0 Likes
Reply
3 Replies
Moderator
Moderator

Hi @PrKa_4664221,

PSoC 5 is not supported for Modus Toolbox. PSoC Creator is the recommended tool to work with PSoC 5 products. Additionally it is not recommended to use PSoC5 for newer products. You can also see PSoC4 and PSoC6 products to confirm whether those meet your requirements.

Best Regards,
Vasanth

View solution in original post

0 Likes
Reply
New Contributor

Thank yo so much for your help.

Which version of PSoC Creator should use for PSoC 5?

Any Documentation you know?

0 Likes
Reply
Contributor II

No reason not to go with the latest, 4.3.  I believe anything pre-4.2 does not have support for PSoC 6, but PSoC 5 is supported way back at least into the 3.X versions and probably earlier.

Documentation for the IDE as well as datasheet for all PSoC components is included with Creator.

0 Likes
Reply